aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* dnsmasq: move parallel make patch to .bb, add upstream-statusChristopher Larson2014-08-133-1/+3
| | | | | | | | Patches really belong in the recipe, not the .inc, given patches are generally version-bound. Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dnsmasq: obey CFLAGS & LDFLAGSChristopher Larson2014-08-131-0/+4
| | | | | Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dnsmasq: add missing inherit pkgconfigChristopher Larson2014-08-131-1/+1
| | | | | | | dnsmasq runs pkg-config to get cflags/libs for its dependencies. Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* llvm: drop 2.8 and 2.9 versionsMartin Jansa2014-08-1313-513/+80
| | | | | | * mesa is now using 3.3 by default and I don't know about any llvm2* users Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* kexecboot: remove trailing slash in do_installAndrea Adami2014-08-131-1/+1
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* syslog-ng: fix a multilib build failure and a QA issueJackie Huang2014-08-111-5/+11
| | | | | | | | | | | | | | | | | * Use BPN instead of PN to fix the multilib build failure: ERROR: Function failed: SYSTEMD_SERVICE_lib32-syslog-ng value lib32-syslog-ng.service does not exist * Do not add syslog-init for systemd to fix the QA issue: WARNING: syslog-ng: alternative target (/etc/init.d/syslog or /etc/init.d/syslog.syslog-ng) does not exist, skipping... WARNING: syslog-ng: NOT adding alternative provide /etc/init.d/syslog: /etc/init.d/syslog.syslog-ng does not exist WARNING: alt_link == alt_target: /etc/init.d/syslog == /etc/init.d/syslog Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* rsyslog: use syslog as the script name of syslog-initJackie Huang2014-08-111-4/+3
| | | | | | | | Use syslog as the default symlink and INITSCRIPT_NAME just as sysklogd and syslog-ng did. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* syslog-ng: update configure.patch for older patch toolRobert Yang2014-08-111-10/+2
| | | | | | | | | The previous configure.patch can't be applied by older "patch" tool since the line number is incorrect, for example, the "patch 2.5.4" on CentOS 5.10. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* rrdtool: update to 1.4.8Peter Bigot2014-08-113-1739/+48
| | | | | | | | | | | | | | * Upstream now uses git, so retrieve releases from the reference repository. * The previous patch to remove tcl support does not apply cleanly to this release. Eliminate it and disable tcl via configure instead. * Backport a patch to remove a never-shoulda-been-there file that was installed but not packaged. Signed-off-by: Peter A. Bigot <pab@pabigot.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-smbus: upgrade to 3.1.1Peter Bigot2014-08-111-2/+2
| | | | | Signed-off-by: Peter A. Bigot <pab@pabigot.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* tracker: add PACKAGECONFIG for nautilus extensionMartin Jansa2014-08-111-0/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * fixes following floating dependencies: WARN: tracker: tracker-nautilus-extension rdepends on atk, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on cairo, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on eglibc, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on expat, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on fontconfig, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on freetype, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on gdk-pixbuf, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on glib-2.0, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on gtk+, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on harfbuzz, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libffi, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libpng, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libsqlite3, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libunistring, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libx11, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxau, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxcb, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxcb-render, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxcb-shm, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxdmcp, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxext, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on libxrender, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on pango, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on pixman, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on tracker, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on util-linux-libuuid, but it isn't a build dependency? WARN: tracker: tracker-nautilus-extension rdepends on zlib, but it isn't a build dependency? Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, expedite: explicitly add some packages, add libsdl dependencyMartin Jansa2014-08-112-4/+2
| | | | | | | | | | | | | * expedite has runtime dependency on them and insane_qa check doesn't see them as provided by evas dependency and shows following warnings: expedite-1.7.9: expedite rdepends on evas-engine-software-generic, but it isn't a build dependency? [build-deps] expedite-1.7.9: expedite rdepends on evas-engine-fb, but it isn't a build dependency? [build-deps] expedite-1.7.9: expedite rdepends on evas-loader-png, but it isn't a build dependency? [build-deps] * always use libsdl dependency instead of PACKAGECONFIG, because there is also software-sdl engine, which isn't controlled by any configure option Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* webmin: explicitly list some packages, drop perl-module-timelocal rdepMartin Jansa2014-08-111-6/+7
| | | | | | | | | | | | | * perl-module-time-local is already in RDEPENDS (I guess it's the same thing as perl-module-timelocal without the last dash) * list some packages explicitly so that bitbake finds their RDEPENDS correctly * fixes following warnings: webmin-1.620: webmin-module-raid rdepends on mdadm, but it isn't a build dependency? [build-deps] webmin-1.620: webmin-module-proc rdepends on procps, but it isn't a build dependency? [build-deps] webmin-1.620: webmin rdepends on perl-module-timelocal, but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libxklavier: add dependency on libxml2Martin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: libxklavier-5.3: libxklavier rdepends on libxml2, but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtksourceview2: add dependency on libxml2Martin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: gtksourceview2-2.10.5: gtksourceview2 rdepends on libxml2, but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* dconf: add dependency on libxml2Martin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: dconf-0.18.0: dconf-editor rdepends on libxml2, but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gd: add dependency on libvpxMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: gd-2.1.0: gd rdepends on libvpx but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libmodule-build-tiny-perl: fix RDEPENDSTim Orling2014-08-111-3/+2
| | | | | | | | | | | * CPAN::Meta is provided by perl-module-cpan, NOT perl-module-cpan-meta * Module::Load is provided by perl-module-load, NOT perl-module-module-load * Fixes QA build-deps warning * libtap-harness-env-perl is bogus, already have perl-tap-harness-env Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libextutils-helpers-perl: fix RDEPENDSTim Orling2014-08-111-1/+1
| | | | | | | | * Module::Load is provided by perl-module-load, NOT perl-module-module-load * Fixes QA build-deps warning. Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ttf-mplus: use PACKAGESPLITFUNCS and add drop ttf-common dependencyMartin Jansa2014-08-111-2/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * there is only ttf-dejavu-common * fixes following warnings: ttf-mplus-027: ttf-mplus-1c-black rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-heavy rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1c-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1m-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1m-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1m-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1m-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1m-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1mn-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1mn-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1mn-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1mn-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1mn-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-black rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-heavy rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-1p-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-black rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-heavy rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2c-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2m-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2m-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2m-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2m-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2m-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-black rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-bold rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-heavy rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-light rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-medium rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-regular rdepends on ttf-common but it isn't a build dependency? [build-deps] ttf-mplus-027: ttf-mplus-2p-thin rdepends on ttf-common but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* oscam: add dependency on pscs-liteMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: oscam/oscam/latest lost dependency on pcsc-lite-lib Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* snort: add dependency on util-linuxMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: WARNING: QA Issue: snort rdepends on util-linux-libuuid but it isn't a build dependency? [build-deps] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gd: add dependency on tiffMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: gd/gd/latest lost dependency on liblzma tiff Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* epiphany: add dependency on libnotifyMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: epiphany/epiphany/latest lost dependency on libnotify Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* stunnel: add dependency on zlib and tcp-wrappersMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: stunnel/stunnel/latest lost dependency on libwrap zlib Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* synergy: add dependency on libxineramaMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes floating dependency: synergy/synergy/latest lost dependency on libxinerama Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* protobuf: add dependency on zlibMartin Jansa2014-08-111-0/+2
| | | | | | | * fixes floating dependency: protobuf/protobuf/latest lost dependency on zlib Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* expedite: remove unrecognized configure optionsMartin Jansa2014-08-111-3/+0
| | | | | | | | | * fixes following QA warnings: expedite-1.7.9: expedite: configure was passed unrecognised options: --disable-software-16-ddraw --disable-software-sdl --disable-opengl-glew [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* start-stop-daemon: remove unrecognized configure optionMartin Jansa2014-08-111-1/+0
| | | | | | | | * fixes following QA warning: start-stop-daemon-1.16.0.2: start-stop-daemon: configure was passed unrecognised options: --without-deselect [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* polkit-gnome: remove unrecognized configure optionsMartin Jansa2014-08-111-4/+4
| | | | | | | | | * fixes following QA warnings: polkit-gnome-0.102: polkit-gnome: configure was passed unrecognised options: --disable-scrollkeeper --disable-man-pages [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* owfs: remove unrecognized configure optionsMartin Jansa2014-08-111-2/+0
| | | | | | | | * fixes following QA warnings: owfs-2.9p1: owfs: configure was passed unrecognised options: --enable-cache --enable-mt [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* openobex: remove unrecognized configure optionsMartin Jansa2014-08-111-2/+1
| | | | | | | | * fixes following QA warnings: openobex-1.5: openobex: configure was passed unrecognised options: --with-usb --with-bluez [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* openbox: remove unrecognized configure optionMartin Jansa2014-08-111-2/+0
| | | | | | | | * fixes following QA warnings: openbox-3.5.0: openbox: configure was passed unrecognised options: --with-plugins [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* metacity: remove unrecognized configure optionMartin Jansa2014-08-111-2/+1
| | | | | | | | * fixes following QA warnings: metacity-2.34.13: metacity: configure was passed unrecognised options: --disable-verbose [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* links, links-x11: remove unrecognized configure optionsMartin Jansa2014-08-112-4/+4
| | | | | | | | | | | | * fixes following QA warnings: links-2.7: links: configure was passed unrecognised options: --enable-javascript --with-libfl --without-sdl [unknown-configure-option] links-x11-2.7: links-x11: configure was passed unrecognised options: --enable-javascript --with-libfl --without-sdl [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libxaw: remove unrecognized configure optionMartin Jansa2014-08-111-3/+0
| | | | | | | | * fixes following QA warnings: libxaw-1.0.10: libxaw: configure was passed unrecognised options: --disable-docs [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgsf: remove unrecognized configure optionsMartin Jansa2014-08-111-3/+0
| | | | | | | | | * fixes following QA warnings: libgsf-1.14.29: libgsf: configure was passed unrecognised options: --without-python --without-gnome-vfs --without-bonobo [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-themes: remove unrecognized configure optionsMartin Jansa2014-08-111-1/+1
| | | | | | | | * fixes following QA warning: gnome-themes-2.32.1: gnome-themes: configure was passed unrecognised options: --disable-hicolor-check [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-settings-daemon: remove unrecognized configure optionsMartin Jansa2014-08-111-4/+4
| | | | | | | | * fixes following QA warning: gnome-settings-daemon-2.32.1: gnome-settings-daemon: configure was passed unrecognised options: --disable-esd [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-power-manager: remove unrecognized configure optionsMartin Jansa2014-08-111-1/+0
| | | | | | | | * fixes following QA warning: gnome-power-manager-2.32.0: gnome-power-manager: configure was passed unrecognised options: --with-dpms-ext [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgnomecanvas: inherit only gnomebaseMartin Jansa2014-08-111-1/+1
| | | | | | | | | * fixes following QA warning: libgnomecanvas-2.30.3: libgnomecanvas: configure was passed unrecognised options: --disable-schemas-install [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* fuse: remove unrecognized configure optionMartin Jansa2014-08-111-2/+0
| | | | | | | | * fixes following QA warning: fuse-2.9.3: fuse: configure was passed unrecognised options: --disable-kernel-module [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* evolution-data-server: remove unrecognized configure optionsMartin Jansa2014-08-111-4/+3
| | | | | | | | | | * fixes following QA warnings: evolution-data-server-3.2.3+gitAUTOINC+a9e4e74ec4: evolution-data-server: configure was passed unrecognised options: --with-dbus --without-bug-buddy --without-weather --disable-uoa --with-soup [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* claws-mail: remove unrecognized optionsMartin Jansa2014-08-111-4/+0
| | | | | | | | | * fixes following qa warnings: claws-mail-3.9.0: claws-mail: configure was passed unrecognised options: --disable-gnomeprint --disable-clamav-plugin --disable-aspell-test --enable-aspell [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* cairomm: don't include cairo.incMartin Jansa2014-08-111-2/+2
| | | | | | | | | | | | * we were overriding most variables from cairo.inc * fixes following QA warnings: cairomm-1.10.0: cairomm: configure was passed unrecognised options: --disable-egl --enable-tee --with-x --disable-glesv2 --disable-valgrind --disable-some-floating-point [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* engrave: add dependency on flexMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes following floating dependencies: WARN: engrave: engrave rdepends on flex but it isn't a build dependency? Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libmicrohttpd: add dependency on file and disable spdyMartin Jansa2014-08-111-2/+3
| | | | | | | | | | | | * fixes following floating dependencies: libmicrohttpd/libmicrohttpd-bin/latest lost dependency on file WARN: libmicrohttpd rdepends on libssl but it isn't a build dependency? [build-deps] * and unknown-configure-option qa warning: libmicrohttpd-0.9.34: libmicrohttpd: configure was passed unrecognised options: --enable-gnutls [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libwebp: fix wrong DEPENDSMartin Jansa2014-08-111-1/+2
| | | | | | | | | | * there is no such thing as packagespecific build-time DEPENDS * RDEPENDS_${PN}-gif2web isn't needed, because it's detected automatically by shlibs providers code * fixes following floating dependencies: WARN: libwebp: libwebp-gif2webp rdepends on giflib but it isn't a build dependency? Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libmikmod: add dependency on pulseaudioMartin Jansa2014-08-111-1/+1
| | | | | | | | | * fixes following floating dependencies: libmikmod/libmikmod/latest lost dependency on dbus-lib json-c libcap libice libpulse libpulse-simple libsm libsndfile1 libx11 libx11-xcb libxau libxcb Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* sox: add dependency on libvorbisMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes following floating dependencies: sox/sox/latest lost dependency on libvorbis Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>